> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://developers.fireblocks.com/feedback

```json
{
  "path": "/api-reference/blockchains-&-assets/list-assets-legacy",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# List assets (Legacy)

> **This legacy endpoint has not been deprecated but it should not be used in your operations. Instead, use the new [List assets](https://developers.fireblocks.com/reference/listassets) endpoint for better performance and to retrieve more detailed asset information.**

Retrieves all assets supported by Fireblocks in your workspace.

**Endpoint Permissions:** Admin, Non-Signing Admin, Signer, Approver, Editor.




## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml get /supported_assets
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /supported_assets:
    get:
      tags:
        - Blockchains & assets
      summary: List assets (Legacy)
      description: >
        **This legacy endpoint has not been deprecated but it should not be used
        in your operations. Instead, use the new [List
        assets](https://developers.fireblocks.com/reference/listassets) endpoint
        for better performance and to retrieve more detailed asset
        information.**


        Retrieves all assets supported by Fireblocks in your workspace.


        **Endpoint Permissions:** Admin, Non-Signing Admin, Signer, Approver,
        Editor.
      operationId: getSupportedAssets
      responses:
        '200':
          description: A Transaction object
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetSupportedAssetsResponse'
        default:
          $ref: '#/components/responses/Error'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response:
            Promise<FireblocksResponse<GetSupportedAssetsResponse>> =
            fireblocks.blockchainsAssets.getSupportedAssets();
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<List<AssetTypeResponse>>> response =
            fireblocks.blockchainsAssets().getSupportedAssets();
        - lang: Python
          source: response = fireblocks.blockchains_&_assets.get_supported_assets();
components:
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs
  schemas:
    GetSupportedAssetsResponse:
      type: array
      items:
        $ref: '#/components/schemas/AssetTypeResponse'
    AssetTypeResponse:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        type:
          type: string
        contractAddress:
          type: string
        nativeAsset:
          type: string
        decimals:
          type: number
      required:
        - id
        - name
        - type
    ErrorSchema:
      type: object
      properties:
        message:
          type: string
        code:
          type: number
  responses:
    Error:
      description: Error Response
      headers:
        X-Request-ID:
          $ref: '#/components/headers/X-Request-ID'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorSchema'

````